#!/bin/sh
#
# This script is for preprocessing the files before to call txt2tags.
#
# Modifications done:
# - Replaces all the occurrences of {{OWLPS_VERSION}} by the current Git
#   version (as provided by git describe).

# OwlPS source version
OWLPS_VERSION=$(git describe 2>/dev/null || echo 'UNKNOWN_VERSION')

sed "s/{{OWLPS_VERSION}}/${OWLPS_VERSION}/g" $@
