/*
 * This file is part of the Owl Positioning System (OwlPS) project.
 * It is subject to the copyright notice and license terms in the
 * COPYRIGHT.t2t file found in the top-level directory of this
 * distribution and at
 *   http://code.lm7.fr/p/owlps/source/tree/master/COPYRIGHT.t2t
 * No part of the OwlPS Project, including this file, may be copied,
 * modified, propagated, or distributed except according to the terms
 * contained in the COPYRIGHT.t2t file; the COPYRIGHT.t2t file must be
 * distributed along with this file, either separately or by replacing
 * this notice by the COPYRITGHT.t2t file's contents.
 */


#include "mobile.hh"



/* *** Operators *** */


Mobile& Mobile::operator=(const Mobile &m)
{
  if (this == &m)
    return *this ;

  this->WifiDevice::operator=(m) ;

  return *this ;
}


bool Mobile::operator==(const Mobile &m) const
{
  if (this == &m)
    return true ;

  return
    this->WifiDevice::operator==(m) ;
}



std::ostream &operator<<(std::ostream &os, const Mobile &m)
{
  os << (WifiDevice) m ;

  return os ;
}
