/*
 * This file is part of the Owl Positioning System (OwlPS) project.
 * It is subject to the copyright notice and license terms in the
 * COPYRIGHT.t2t file found in the top-level directory of this
 * distribution and at
 *   http://code.lm7.fr/p/owlps/source/tree/master/COPYRIGHT.t2t
 * No part of the OwlPS Project, including this file, may be copied,
 * modified, propagated, or distributed except according to the terms
 * contained in the COPYRIGHT.t2t file; the COPYRIGHT.t2t file must be
 * distributed along with this file, either separately or by replacing
 * this notice by the COPYRITGHT.t2t file's contents.
 */


#include "outputcsv.hh"
#include "resultlist.hh"



void OutputCSV::write(const Result &result)
{
  file.write_text(result.to_csv() + '\n') ;
}


void OutputCSV::write(const ResultList &results)
{
  if (! results.empty())
    file.write_text(results.to_csv() + '\n') ;
}
